Loading...
Searching...
No Matches
win32.h File Reference

ENet Win32 header. More...

`#include <stdlib.h>`
`#include <winsock2.h>`

## Data Structures

struct | ENetBuffer

## Macros

#define | ENET_API extern
#define | ENET_CALLBACK __cdecl
#define | ENET_HOST_TO_NET_16(value)
#define | ENET_HOST_TO_NET_32(value)
#define | ENET_NET_TO_HOST_16(value)
#define | ENET_NET_TO_HOST_32(value)
#define | ENET_SOCKET_NULL INVALID_SOCKET
#define | ENET_SOCKETSET_ADD(sockset, socket)
#define | ENET_SOCKETSET_CHECK(sockset, socket)
#define | ENET_SOCKETSET_EMPTY(sockset)
#define | ENET_SOCKETSET_REMOVE(sockset, socket)

## Typedefs

typedef SOCKET | ENetSocket

## Detailed Description

ENet Win32 header.

## Macro Definition Documentation

## ENET_API

#define ENET_API extern

## ENET_CALLBACK

#define ENET_CALLBACK __cdecl

## ENET_HOST_TO_NET_16

#define ENET_HOST_TO_NET_16 | ( |  | value | ) |

Value:
(htons (value))

## ENET_HOST_TO_NET_32

#define ENET_HOST_TO_NET_32 | ( |  | value | ) |

Value:
(htonl (value))

## ENET_NET_TO_HOST_16

#define ENET_NET_TO_HOST_16 | ( |  | value | ) |

Value:
(ntohs (value))

## ENET_NET_TO_HOST_32

#define ENET_NET_TO_HOST_32 | ( |  | value | ) |

Value:
(ntohl (value))

## ENET_SOCKET_NULL

#define ENET_SOCKET_NULL INVALID_SOCKET

## ENET_SOCKETSET_ADD

#define ENET_SOCKETSET_ADD | ( |  | sockset,
|  |  | socket )

Value:
FD_SET (socket, & (sockset))

## ENET_SOCKETSET_CHECK

#define ENET_SOCKETSET_CHECK | ( |  | sockset,
|  |  | socket )

Value:
FD_ISSET (socket, & (sockset))

## ENET_SOCKETSET_EMPTY

#define ENET_SOCKETSET_EMPTY | ( |  | sockset | ) |

Value:
FD_ZERO (& (sockset))

## ENET_SOCKETSET_REMOVE

#define ENET_SOCKETSET_REMOVE | ( |  | sockset,
|  |  | socket )

Value:
FD_CLR (socket, & (sockset))

## Typedef Documentation

## ENetSocket

typedef SOCKET ENetSocket